@charset "UTF-8";
/* ====================================================
reset style
==================================================== */
html {
  overflow-y: scroll;
  font-size: 10px;
  /* Base font size, change to 14px or 16px if needed */
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  margin-top: 0 !important;
}

body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, code, form, fieldset, legend, input, textarea, p, blockquote, th, td {
  margin: 0;
  padding: 0;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.main {
  width: 1160px;
  margin: 0 auto 110px;
}
#wrapper {
	display: flex;
  	flex-direction: column;
  	min-height: 100vh;
	font-family: 'M PLUS 1', sans-serif;
}

@media screen and (max-width: 768px) { 
	.main {
		width: auto;
    	margin: 0 20px;
	}
}
/*********************************
	ヘッダーの設定はじまり
*********************************/
header {
	background-color: #FFF2F9;
    position: fixed;
    width: 100%;
	z-index: 100;
	border-top: 2px solid #FB4875;
	box-shadow: 0 3px 5px rgb(0 0 0 / 5%);
}
button {
	margin: 0;
	padding: 0;
	outline: 0;
	border: 0;
	border-radius: 0;
	background: transparent;
	color: inherit;
	vertical-align: middle;
	text-align: inherit;
	font: inherit;
	-webkit-appearance: none;
	appearance: none;
}
.logo {
	display: inline-block;
    padding: 10px 20px;
}
.logo a {
	display: block;
}

@media screen and (max-width: 768px) { 
	.logo a {
		display: inline;
	}
	.logo a img{
		width: 50%;
		position: relative;
		top: 4px;
	}
}
/**************** 以下、ハンバーガーボタンのスタイリング ****************/
.btn {
	/* ボタンの配置位置  */
	position: fixed;
	top: 32px;
	right: 16px;
	/* 最前面に */
	z-index: 10;
	/* ボタンの大きさ  */
	width: 40px;
	height: 40px;
}
/***** 真ん中のバーガー線 *****/
.btn-line {
	display: block;
	/* バーガー線の位置基準として設定 */
	position: relative;
	/* 線の長さと高さ */
	width: 100%;
	height: 4px;
	/* バーガー線の色 */
	background-color: #FB4875;
	transition: .2s;
}
/***** 上下のバーガー線 *****/
.btn-line::before , .btn-line::after {
	content: "";
	/* 基準線と同じ大きさと色 */
	position: absolute;
	width: 100%;
	height: 100%;
	background-color: #FB4875;
	transition: .5s;
}
.btn-line::before {
	/* 上の線の位置 */
	transform: translateY(-12px);
}
.btn-line::after {
	/* 下の線の位置 */
	transform: translateY(12px);
}
/***** メニューオープン時 *****/
.btn-line.open {
	/* 真ん中の線を透明に */
	background-color: transparent;
}
.btn-line.open::before , .btn-line.open::after {
	content: "";
	background-color: #FB4875;
	transition: .2s;
}
.btn-line.open::before {
	/* 上の線を傾ける */
	transform: rotate(45deg);
}
.btn-line.open::after {
	/* 上の線を傾ける */
	transform: rotate(-45deg);
}
@media screen and (max-width: 768px) { 
	.btn {
		top: 17px;
		right: 22px;
	}
}
/**************** ここまで、ハンバーガーボタンのスタイリング ****************/
/**************** 以下、メニューのスタイリング ****************/
.menu-block {
	display: flex;
}
.menu {
	/* メニューを縦に */
	display: flex;
	flex-direction: column;
	/* メニューの位置マイナス指定で画面外に */
	right: -70%;
	width: 70%;
	color: #efefef;
	transition: .3s;
}
.menu-list {
	/* メニューテキスト位置をリスト内中心に */
	position: relative;
    color: #FB4875;
    font-size: 21px;
    list-style: none;
}
.menu-block li + li:before {
	position: absolute;
    top: 50%;
    content: "/";
    display: block;
    transform: translate(-50%, -50%);
    color: #FB4875;
}

.menu-list a {
	padding-left: 24px;
    padding-right: 24px;
    text-decoration: none;
    color: inherit;
	position: relative;
    top: 33px;
}
.menu-list a:hover {
		-webkit-animation: zoom .3s;
		animation: zoom .3s;
		text-decoration: underline;
	  }
	  @-webkit-keyframes zoom {
		50% {
		  -webkit-transform: scale(1.10);
		}
	  }
	  @keyframes zoom {
		50% {
		  transform: scale(1.10);
		}
	  }
/***** メニューオープン時位置0にして画面内に *****/
.menu.open {
	position: absolute;
	right: 0;
	display: flex;
	flex-direction: column;
	position: fixed;
	right: 0%;
	width: 100%;
	height: 100vh;
	background-color: #FFF2F9;
	color: #efefef;
	transition: .3s;
	border-top: 2px solid #fff;
}
.menu-list a:nth-child(2) {
	display: none;
}
.menu-list a:first-child {
	display: block;
}
.header-btn {
	display: none;
}
@media screen and (max-width: 768px) {
	.menu-list {
		display: none;
		position: relative;
		padding-bottom: 10px;
		margin-bottom: 30px;
	}
	.menu.open {
		padding: 35px 10px;
		height: 70vh;
	}
	.menu:after {
		content:"";
  		display: block;
  		width:30%;
	}
	.menu.open .menu-list {
		display: block;
		padding: 0 10px;
		width: 105px;
		margin: 0 5px 30px 5px;
	}
	.menu-block {
		display: flex;
		flex-wrap: wrap;
	}
	.menu-list a {
		border-bottom: none;
		top: 0;
		padding: 0;
	}
	.menu-list a:nth-child(2) {
		display: block;
	}
	.menu-list a:nth-child(2) img {
		width: 100px;
	}
	.menu-list a:first-child {
		display: none;
	}
	.open .header-btn {
		display: block;
    	background-color: #FFFC99;
    	padding: 20px;
    	border-radius: 10px;
    	text-align: center;
		position: relative;
		border-bottom: 5px solid #dfda48;
	}
	.open .header-btn a{
		font-size: 20px;
		text-decoration: none;
		color: #FB4875;
		font-weight: bold;
	}
	.open .header-btn a:after {
		content: '';
		width: 6px;
		height: 6px;
		border: 0;
		border-top: solid 3px #FB4875;
		border-right: solid 3px #FB4875;
		position: absolute;
		top: 50%;
		right: 40px;
		margin-top: -4px;
		transform: rotate(45deg);
	}
	.menu-block li + li:before {
		content: none;
	}
	.menu.open .current {
		opacity: 0.5;
		-webkit-backface-visibility: hidden;
		backface-visibility: hidden;
		-webkit-transition: all .3s ease;
		-o-transition: all .3s ease;
		transition: all .3s ease;
	}
}
/* 600px以上はハンバーガーボタン非表示、ヘッダー固定 */
@media screen and (min-width: 600px) {
	.btn {
		display: none;
	}
	nav {
		display: block;
		display: block;
		position: absolute;
		right: 0;
		top: 0;
		display: -ms-flexbox;
		display: flex;
	}
	.menu {
		/* メニューを横に */
		display: flex;
		flex-direction: row;
		top: 0;
		right: 20px;
		width: auto;
		height: 100px;
	}
}
/**************** ここまで、メニューのスタイリング ****************/
/*********************************
	ヘッダーの設定おわり
*********************************/


/*********************************
	フッターの設定始まり
*********************************/
footer {
	background-color: #FB4875;
}
.footer-sns {
	display: flex;
    justify-content: center;
	padding-top: 15px;
}
.footer-sns > div:nth-child(2) {
	padding: 0 25px;
}
.copyright {
	font-size: 13px;
    color: #ffffff;
    padding: 15px 0;
    display: flex;
    justify-content: flex-end;
    margin-right: 10px;
}
.copyright img {
	width: 110px;
}
@media screen and (max-width: 768px) {
.footer-sns img {
	max-width: 100%;
}
.footer-sns > div {
	text-align: center;
	width: 15%;
	padding: 0 8px;
}
.footer-sns > div:nth-child(2) {
	padding: 0 8px;
}
.copyright {
	font-size: 10px;
}
.copyright img {
	width: 80px;
}
}